<?php

// Funciones para el tema-hijo taxonomico, basado en Twenty Ten

// Funcion  para utilizar iconos propios del tipo de contenido personalizado 'Libros'
// Tomado de  http://wptheming.com/2010/11/how-to-use-custom-post-type-icons/
// Vease tambien http://www.gravitationalfx.com/how-to-create-dashboard-menu-icons-for-wordpress-custom-post-types/ , http://randyjensenonline.com/thoughts/wordpress-custom-post-type-fugue-icons/ y http://shibashake.com/wordpress-theme/modify-custom-post-type-icons

add_action( 'admin_head', 'icono_para_libros' );
 
function icono_para_libros() {
    ?>
    <style type="text/css" media="screen">
        #menu-posts-libros .wp-menu-image {
            background: url(<?php bloginfo('stylesheet_directory') ?>/images/book--pencil.png) no-repeat 6px 6px !important;
        }
    #menu-posts-libros:hover .wp-menu-image, #menu-posts-libros.wp-has-current-submenu .wp-menu-image {
            background-position:6px -18px !important;
        }
    #icon-edit.icon32-posts-libros {background: url(<?php bloginfo('stylesheet_directory') ?>/images/libro32x32.png) no-repeat;}
    </style>
<?php }

// Funcion para recuperar la primera imagen de una entrada, como una miniatura de 100 x 100 px. 
// Vease http://wordpress.org/support/topic/function-to-get-first-image-associated-with-current-post

function miniatura_a_partir_de_la_primera_imagen() {
$files = get_children('post_parent='.get_the_ID().'&post_type=attachment&post_mime_type=image');
  if($files) :
    $keys = array_reverse(array_keys($files));
    $j=0;
    $num = $keys[$j];
    $image=wp_get_attachment_image($num, 'large', false);
    $imagepieces = explode('"', $image);
    $imagepath = $imagepieces[1];
    $thumb=wp_get_attachment_thumb_url($num);
    print "<img src='$thumb' class='alignleft' width='100' height='100' alt='Portada del libro' title='Portada del libro' />";
  endif;
}

// Funciones para crear columnas adicionales de gestion de las taxonomias y campos personalizadas
// Vease http://devpress.com/blog/custom-columns-for-custom-post-types/

// Funcion para crear las columnas

add_filter( 'manage_edit-libros_columns', 'registrar_columnas_tipo_personalizado_libros' ) ;

function registrar_columnas_tipo_personalizado_libros( $columns ) {

	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => __( 'Comentarios de libros' ),
		'autores' => __( 'Autor' ),
		'generos' => __( 'G&eacute;nero literario' ),	
		'literaturas-nacionales' => __( 'Literatura nacional' ),
		'catalogacion' => __( 'C&oacute;digo de catalogaci&oacute;n (CDU)' ),	
		'ubicacion' => __( 'Ubicaci&oacute;n' ),			
		'date' => __( 'Date' )
	);

	return $columns;
}

// Funcion para incluir el contenido de las taxonomias personalizadas

add_action( 'manage_libros_posts_custom_column', 'gestionar_columnas_tipo_personalizado_libros', 10, 2 );

function gestionar_columnas_tipo_personalizado_libros( $column, $post_id ) {
	global $post;

	switch( $column ) {

	// Para la columna 'Autores'. 
		case 'autores' :

		// Obtener los generos para el articulo. 
			$terms = get_the_terms( $post_id, 'autores' );

			// Si se encuentran los terminos. 
			if ( !empty( $terms ) ) {
				$out = array();
				// Hace un bucle a traves de cada termino, enlazando a la pagina de 'editar articulo', del termino especifico. 
				foreach ( $terms as $term ) {
					$out[] = sprintf( '<a href="%s">%s</a>',
						esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'autores' => $term->slug ), 'edit.php' ) ),
						esc_html( sanitize_term_field( 'name', $term->name, $term->term_id, 'autores', 'display' ) )
					);
				}

				// Se juntan todos los terminos, separandolos con comas. 
				echo join( ', ', $out );
			}

			// Si no hay ninguna etiqueta, se muestra un mensaje por defecto. 
			else {
				_e( 'No hay ning&eacute;n autor' );
			}
			break;	

	// Para la columna 'Generos'. 
		case 'generos' :

		// Obtener los generos para el articulo. 
			$terms = get_the_terms( $post_id, 'generos' );

			// Si se encuentran los terminos. 
			if ( !empty( $terms ) ) {
				$out = array();

				// Hace un bucle a traves de cada termino, enlazando a la pagina de 'editar articulo', del termino especifico. 
				foreach ( $terms as $term ) {
					$out[] = sprintf( '<a href="%s">%s</a>',
						esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'generos' => $term->slug ), 'edit.php' ) ),
						esc_html( sanitize_term_field( 'name', $term->name, $term->term_id, 'generos', 'display' ) )
					);
				}

				// Se juntan todos los terminos, separandolos con comas. 
				echo join( ', ', $out );
			}

			// Si no hay ninguna etiqueta, se muestra un mensaje por defecto. 
			else {
				_e( 'No hay ning&eacute;n g&eacute;nero literario' );
			}
			break;

	// Para la columna 'Literaturas nacionales'. 
		case 'literaturas-nacionales' :

		// Obtener las literaturas nacionales para el articulo. 
			$terms = get_the_terms( $post_id, 'literaturas-nacionales' );

			// Si se encuentran los terminos. 
			if ( !empty( $terms ) ) {
				$out = array();

				// Hace un bucle a traves de cada termino, enlazando a la pagina de 'editar articulo', del termino especifico. 
				foreach ( $terms as $term ) {
					$out[] = sprintf( '<a href="%s">%s</a>',
						esc_url( add_query_arg( array( 'post_type' => $post->post_type, 'literaturas-nacionales' => $term->slug ), 'edit.php' ) ),
						esc_html( sanitize_term_field( 'name', $term->name, $term->term_id, 'literaturas-nacionales', 'display' ) )
					);
				}

				// Se juntan todos los terminos, separandolos con comas.
				echo join( ', ', $out );
			}

			// Si no hay ninguna etiqueta, se muestra un mensaje por defecto. 
			else {
				_e( 'No hay ninguna literatura nacional' );
			}

			break;	

	// Para la columna 'Catalogacion'
		case 'catalogacion' :
		
		// Obtener los codigos de catalogacion para los articulos. 
		
			$catalogacion = get_post_meta( $post_id, 'catalogacion', true );

			// En caso de que no exista un codigo, se incluye un mensaje
			if ( empty( $catalogacion ) )
				echo __( 'No se ha incluido el c&oacute;digo de catalogaci&oacute;n' );

			// Si existe, se incluye el codigo
			else
				printf( __( '%s' ), $catalogacion );

			break;

	// Para la columna 'Ubicacion'
		case 'ubicacion' :
		
		// Obtener los codigos de catalogacion para los articulos. 
		
			$ubicacion = get_post_meta( $post_id, 'ubicacion', true );

			// En caso de que no exista un codigo, se incluye un mensaje
			if ( empty( $ubicacion ) )
				echo __( 'No se ha incluido ninguna ubicaci&oacute;n' );

			// Si existe, se incluye el codigo
			else
				printf( __( '%s' ), $ubicacion );

			break;			

			// Just break out of the switch statement for everything else.
		default :
			break;
	}
}

// Funcion para conseguir que las columnas personalizadas puedan ordenarse

add_filter( 'manage_edit-libros_sortable_columns', 'ordenar_columnas_tipo_personalizado_libros' );

function ordenar_columnas_tipo_personalizado_libros( $columns ) {
	$columns['autores'] = 'autores';
	return $columns;
}

// Funcion para ordenar la columna correspondiente a la taxonomia personalizada 'Autores'
// Vease http://scribu.net/wordpress/sortable-taxonomy-columns.html

function autores_clauses_eduardo( $clauses, $wp_query ) {
	global $wpdb;
	if ( isset( $wp_query->query['orderby'] ) && 'autores' == $wp_query->query['orderby'] ) {
		$clauses['join'] .= <<<SQL
LEFT OUTER JOIN {$wpdb->term_relationships} ON {$wpdb->posts}.ID={$wpdb->term_relationships}.object_id
LEFT OUTER JOIN {$wpdb->term_taxonomy} USING (term_taxonomy_id)
LEFT OUTER JOIN {$wpdb->terms} USING (term_id)
SQL;
		$clauses['where'] .= " AND (taxonomy = 'autores' OR taxonomy IS NULL)";
		$clauses['groupby'] = "object_id";
		$clauses['orderby']  = "GROUP_CONCAT({$wpdb->terms}.name ORDER BY name ASC) ";
		$clauses['orderby'] .= ( 'ASC' == strtoupper( $wp_query->get('order') ) ) ? 'ASC' : 'DESC';
	}
	return $clauses;
}

add_filter( 'posts_clauses', 'autores_clauses_eduardo', 10, 2 );

// Funcion para incluir el tipo de contenido personalizado 'Libros' en la fuente RSS del sitio
// Vease http://yoast.com/custom-post-type-snippets/

function incluir_libros_en_fuenterss( $qv ) {
  if ( isset($qv['feed']) && !isset($qv['post_type']) )
    $qv['post_type'] = array('post', '<libros>');
  return $qv;
}

add_filter( 'request', 'incluir_libros_en_fuenterss' );

// Funcion para eliminar elementos de menu para los usuarios no administradores. El proposito es contar con un interfaz de edicion lo mas limpio posible
// Inspirado por http://codex.wordpress.org/Function_Reference/remove_menu_page, http://codex.wordpress.org/Function_Reference/current_user_can,  http://wordpress.stackexchange.com/questions/28782/possible-to-hide-custom-post-type-ui-menu-from-specific-user-roles y http://www.wprecipes.com/how-to-remove-menus-in-wordpress-dashboard

function eliminar_menus_para_no_administradores() {

	if( !current_user_can( 'administrator' ) ) { // comprueba que el usuario no es administrador
	
		remove_menu_page('edit.php'); // Elimina el menu de paginas
		remove_menu_page('edit.php?post_type=page'); // Elimina el menu de entradas
		remove_menu_page('tools.php'); // Elimina el menu de herramientas
		remove_menu_page('link-manager.php'); // Elimina el menu de enlaces
		remove_menu_page('edit-comments.php'); // Elimina el menu de comentarios
	}
}

add_action( 'admin_menu', 'eliminar_menus_para_no_administradores' );

// Funcin para desactivar los widgets del escritorio para los usuarios no administradores. El proposito es contar con un interfaz de edicion lo mas limpio posible

// Inspirado por http://digwp.com/2010/10/customize-wordpress-dashboard/ y http://sumtips.com/2011/03/remove-reorder-menu-submenu-wordpress.html

function desactivar_widgets_por_defecto_escritorio() {

	if( !current_user_can( 'administrator' ) ) { // comprueba que el usuario no es administrador
	
		// remove_meta_box('dashboard_right_now', 'dashboard', 'core');
		remove_meta_box('dashboard_recent_comments', 'dashboard', 'core');
		remove_meta_box('dashboard_incoming_links', 'dashboard', 'core');
		remove_meta_box('dashboard_plugins', 'dashboard', 'core');
		remove_meta_box('dashboard_quick_press', 'dashboard', 'core');
		remove_meta_box('dashboard_recent_drafts', 'dashboard', 'core');
		remove_meta_box('dashboard_primary', 'dashboard', 'core');
		remove_meta_box('dashboard_secondary', 'dashboard', 'core');
		}
}

add_action('admin_menu', 'desactivar_widgets_por_defecto_escritorio');

?>