<?php
/**
 * Template Name: Lista de lit. nacionales con descripciones
 *
 * Plantilla personalizada para obtener el listado de etiquetas correspondientes a las literaturas nacionales
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

		<div id="container">
			<div id="content" role="main">
			
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php if ( is_front_page() ) { ?>
						<h2 class="entry-title"><?php the_title(); ?></h2>
					<?php } else { ?>
						<h1 class="entry-title"><?php the_title(); ?></h1>
					<?php } ?>
			
				<div class="entry-content">
				<?php the_content(); ?>

				<!-- A partir de aqu, viene el listado de trminos con sus descripciones, inspirado por http://www.leewillis.co.uk/wordpress-taxonomies-to-create-a-product-directory/ -->
				
				<?php
					$terms = get_terms('literaturas-nacionales');
					if (count($terms)) {
						echo "<dl>";
					}
					foreach ($terms as $term) {

						$wpq = array ('taxonomy'=>'literaturas-nacionales',
										  'term'=>$term->slug);
						$query = new WP_Query ($wpq);
						$article_count = $query->post_count;

						echo "<dt class=\"term-heading\">";
						if ($article_count) {
							echo "<a title=\"Ir a la p&aacute;gina de la literatura nacional\" href=\"/antologia1/literaturas-nacionales/".$term->slug."\">". ucfirst ($term->name). " (" . $article_count . ")" . "</a>";
						} else {
							echo ucfirst ($term->name);
						}
						echo "</dt>";
						echo "<dd class=\"term-description\">";
						echo $term->description;
						echo "<br />";;
						echo "</dd>";
					}
					if (count($terms)) {
						echo "</dl>";
					}
				?> <!-- Termina el listado -->
				
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
				<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .entry-content -->
				</div><!-- #post-## -->
			
			</div><!-- #content -->
		</div><!-- #container -->
		
<?php endwhile; // end of the loop. ?>		
		
<?php get_sidebar(); ?>
<?php get_footer(); ?>
