<?php
/**
 * Este bucle presenta las entradas indivdiduales del tipo de contenido 'Libros'.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop-single.php.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.2
 */
?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				<div id="nav-above" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentyten' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'twentyten' ) . '</span>' ); ?></div>
				</div><!-- #nav-above -->

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-meta">
						<?php twentyten_posted_on(); ?>
					</div><!-- .entry-meta -->

					<div class="entry-content">
						<?php the_content(); ?>
						
						<!-- Datos propios del tipo de contenido. Primero los campos personalizados -->
						
						<div id="campos_personalizados_1">
						
							<div id="resumen_argumento">
								<h2>Resumen del argumento</h2>
								<div class="resumen_argumento">
								<?php echo get_post_meta($post->ID, 'resumen_argumento', true); ?>
								</div>
							</div>
							<div id="ficha_editorial">
								<h2>Ficha editorial</h2>
								<div class="ficha_editorial">
								<?php echo get_post_meta($post->ID, 'ficha_editorial', true); ?>
								</div>
							</div>
							<div id="informacion_complementaria">
								<h2>Informaci&oacute;n complementaria</h2>
								<div class="informacion_complementaria">
								<?php echo get_post_meta($post->ID, 'informacion_complementaria', true); ?>
								</div>
							</div>
						
						</div>
						
						<!-- A continuacin, los datos de las taxonomas personalizadas -->
						
						<div id="datos_de_taxonomias">
						
							<h2>Criterios de clasificaci&oacute;n del libro</h2>
							<div class="datos_de_taxonomias">
							<ul>
							<?php if(taxonomy_exists('autores')) {
								echo get_the_term_list( $post->ID, 'autores', '<li>Autor: ', ', ', '</li>' );
							}
							?>
							<?php if(taxonomy_exists('literaturas-nacionales')) {
								echo get_the_term_list( $post->ID, 'literaturas-nacionales', '<li>Literatura nacional: ', ', ', '</li>' );
							}
							?>
							<?php if(taxonomy_exists('generos')) {
								echo get_the_term_list( $post->ID, 'generos', '<li>G&eacute;nero literario: ', ', ', '</li>' );
							}
							?>
							</ul>
							</div>
							
						</div>
						
						<!-- Y, finalmente, los ltimos campos personalizados, de catalogacin y ubicacin del libro  -->
						
						<div id="campos_personalizados_2">
						
							<div id="catalogacion_y_ubicacion_libro">
								<h2>Catalogaci&oacute;n y ubicaci&oacute;n del libro</h2>
								<div class="catalogacion_y_ubicacion_libro">
								<ul>
									<li><strong>C&oacute;digo de catalogaci&oacute;n (<a href="http://es.wikipedia.org/wiki/Clasificaci%C3%B3n_Decimal_Universal" title="Clasificaci&oacute;n Decimal Universal - Wikipedia" target="_blank">CDU</a>)</strong>: <?php echo get_post_meta($post->ID, 'catalogacion', true); ?></li>
									<li><strong>Ubicaci&oacute;n</strong>: <?php echo get_post_meta($post->ID, 'ubicacion', true); ?></li>
								</ul>
								</div>
							</div>
						
						</div>
						
						<!-- Hasta aqu los datos de taxonomas y campos personalizados -->
						
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
					</div> <!-- .entry-content -->

<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyten_author_bio_avatar_size', 60 ) ); ?>
						</div><!-- #author-avatar -->
						<div id="author-description">
							<h2><?php printf( esc_attr__( 'About %s', 'twentyten' ), get_the_author() ); ?></h2>
							<?php the_author_meta( 'description' ); ?>
							<div id="author-link">
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'twentyten' ), get_the_author() ); ?>
								</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->
<?php endif; ?>

					<div class="entry-utility">
						<?php twentyten_posted_in(); ?>
						<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-utility -->
				</div><!-- #post-## -->

				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentyten' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'twentyten' ) . '</span>' ); ?></div>
				</div><!-- #nav-below -->

				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>