<?php
/**
 * Plantilla para generar datos correspondientes a un elemento de la taxonoma 'Autores'
*  Inspirada en http://wp.smashingmagazine.com/2011/06/08/how-to-build-a-media-site-on-wordpress-part-2/
 */

get_header(); ?>

<?php // Obtenemos los datos que necesitamos
	$literatura_nacional = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );

	$libros = new WP_Query(
		array(
			'post_type' => 'libros', // Le decimos a WordPress qu tipo de contenido personalizado utilizamos para la consulta
			'posts_per_page' => '5', // Mostramos los primeros cinco elementos
			'tax_query' => array( // Devuelve los elementos asociados con los libros
				array(
					'taxonomy' => 'literaturas-nacionales',
					'field' => 'slug',
					'terms' => $literatura_nacional->slug,
					)
				)
			)
		);
?>

	<div id="container">
		<div id="content" class="libro">
			<h1 class="entry-title"><?php echo ucfirst ($literatura_nacional->name); ?></h1>
			<?php if ( $literatura_nacional->description != null ) { // Comprobar que la descripcin no est vaca ?>
			<p class="descripcion-termino-taxonomico"><?php echo $literatura_nacional->description; ?></p>
			<?php } ?>
			<div class="libros">
				<?php if ( $libros->post_count > 0 ) { // Comprobar que hay libros asociados a los trminos de la taxonoma ?>
				<h3>Comentarios sobre los libros que pertenecen a esta literatura</h3>
				<ul id="lista-libros">
					<?php while ( $libros->have_posts() ) : $libros->the_post(); ?>
						<li id="libro-<?php the_ID(); ?>" class="libro">
							<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
							<span><?php the_excerpt(); ?></span>
						</li>
					<?php endwhile; ?>
				<?php } ?>
				</ul>
			</div>	

		</div>
	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>